<?php
/**
 * The template for displaying the "ajuts" funds with search capabilities 
 *
 * Template Name: Cercador ajuts 
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * @link https://developer.wordpress.org/themes/template-files-section/page-template-files/
 *
 * @package Oficina_de_Suport_theme
 * @since 1.0
 */

get_header();
?>

	<main id="primary" class="site-main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
			</header><!-- .page-header -->
			<?php
			while ( have_posts() ) :
				the_post();

				get_template_part( 'template-parts/content', 'page' );

			endwhile;

			the_posts_navigation();

		else :
			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>
    <section id="filteredfunds" class="ofisuport-filtered-funds ofisuport-ajuts-filtrats">
  
<aside id="fundsfilter" class="ofisuport-filter-funds ofisuport-fitre-ajuts">
  <?php include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); if ( is_plugin_active( 'oficinasuport-wp-plugin/ofisuport-wp-plugin.php' ) ) { // if plugin active do?> 
        
      <script type="text/javascript">
        <!-- https://stackoverflow.com/a/48314274 -->
        (function($) { 
        $('.fund-filter').ready(function() {
          $('.oficinasuport-titol-opcions').click(function() {
            $(this).siblings(".filter").toggle();
          });
        });
        })(jQuery);
      </script>
      
     <?php ofisuport_ajuts_filters_form(); // function defined in the plugin ?>

   <?php  } //end if is_plugin_active ?>
  </aside>

    <content class="archive-posts <?php ofisuport_class_posttype(); ?>">

<?php
    // https://support.advancedcustomfields.com/forums/topic/wp_query-using-meta_query-for-an-acf-checkbox-field/#post-145830
    // https://www.advancedcustomfields.com/resources/checkbox/#query-posts
    // https://barn2.com/blog/querying-posts-by-custom-field-acfi/

    $the_query_ajut = new WP_Query(
      array(
        'post_type'     => 'ofisuport-ajut',
        'posts_per_page' => '-1'
      )
    ); 
    ?>
    <?php if ( $the_query_ajut->have_posts() ) : ?>
      <?php while ( $the_query_ajut->have_posts() ) : $the_query_ajut->the_post(); ?>

       <?php get_template_part( 'template-parts/section', 'eachpost' ); ?>

      <?php endwhile;//end of the loop ?>
      <?php wp_reset_postdata(); ?>
    <?php endif; //end query ajut ?>

		</content>
	</section>

</main><!-- #main -->

<?php
get_footer();
