<?php                                                                                                    /**
 * Template part for displaying each ajut with each field. 
 * to be used inside the loop.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Oficina_de_Suport_theme
 */
?>

			<article id="post-<?php the_ID(); ?>" <?php post_class('ofisuport-card-each'); ?>>
         <h3 class="entry-title">
           <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" rel="bookmark">
             <?php the_title(); ?>
           </a>
         </h3>
         <?php if( get_field('os_funder_name') ): ?> 
           <h6 class="ofisuport-funder-name"><?php the_field('os_funder_name'); ?></h6>
         <?php endif; ?>
         <section class="excerpt post-excerpt">
             <?php the_excerpt() ?>
         </section>
         <aside>
           <?php get_template_part( 'template-parts/section', 'list-checkbox', array('iterate_field' => 'os_fund_target') ); ?>
           <?php get_template_part( 'template-parts/section', 'list-checkbox', array('iterate_field' => 'os_fund_source') ); ?>
           <?php get_template_part( 'template-parts/section', 'list-checkbox', array('iterate_field' => 'os_fund_field') ); ?>
          <?php if( get_field('os_fund_apply_begin') || get_field('os_fund_apply_end') ): ?>
           <ul class="ofisuport-label item-os_fund_dates">
             <li>del <?php the_field('os_fund_apply_begin'); ?></li>
             <li>al <?php the_field('os_fund_apply_end'); ?></li>
           </ul>
           <?php endif; ?>
           <?php if( get_field('os_fund_apply_text') ): ?>
           <ul class="ofisuport-label item-os_fund_dates">
            <li class=""><?php the_field('os_fund_apply_text'); ?></li>
            </ul>
           <?php endif; ?>

           <?php if( get_field('os_fund_call') ): ?>
           <?php get_template_part( 'template-parts/section', 'list-checkbox', array('iterate_field' => 'os_fund_call') ); ?>
           <?php endif; ?>
         </aside>
         <nav class="more-link">
         <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" rel="bookmark" class="button button-more">
            <span class="hide"><?php the_title(); ?></span>
           </a>
         </nav>
       </article><!-- #post-<?php the_ID(); ?> -->
