<?php                                                                                                    
/**
 * The template for displaying archive custom post type ofisuport-ajut
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Oficina_de_Suport_theme
 */
 
get_header();
?>

	<main id="primary" class="site-main">
  <?php
    // Detect plugin. For use on Front End only.
    include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    // check for plugin using plugin name
    if ( is_plugin_active( 'oficinasuport-wp-plugin/ofisuport-wp-plugin.php' ) ) {
    //plugin is activated do
?>

    <section id="filteredfunds" class="ofisuport-filtered-funds ofisuport-ajuts-filtrats">
      <aside id="fundsfilter" class="ofisuport-filter-funds ofisuport-filtre-ajuts">
        
      <script type="text/javascript">
        <!-- https://stackoverflow.com/a/48314274 -->
        (function($) { 
        $('.fund-filter').ready(function() {
          $('.oficinasuport-titol-opcions').click(function() {
            $(this).siblings(".filter").toggle();
          });
        });
        })(jQuery);
      </script>
      
        <?php ofisuport_ajuts_filters_form(); // function defined in the plugin ?>

      </aside>

      <content class="archive-posts <?php ofisuport_class_posttype(); ?>">

  		<?php if ( have_posts() ) : ?>
  			<?php while ( have_posts() ) : the_post();
  
  		    get_template_part( 'template-parts/section', 'eachpost' ); 
  
  			endwhile;

        the_posts_navigation();
  
  		else :
  
  			get_template_part( 'template-parts/content', 'none' );
  
  		endif;
  		?>

			</content>
	</section>

<?php }  //end plugin is activated do ?>
</main><!-- #main -->

<?php
get_footer();
