<?php
   /**
   * Register widget area.
   *
   * @link https://developer.wordpress.org/themes/functionality/sidebars/#registerin  g-a-sidebar
   */
  function ofisuport_widgets_init() {
    register_sidebar(
      array(
        'name'          => esc_html__( 'Front Page - principal', 'ofisuport' ),
        'id'            => 'front-page-widgets',
        'description'   => esc_html__( 'Add widgets here.', 'ofisuport' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
      )
    );
    register_sidebar(
      array(
        'name'          => esc_html__( 'Sidebar funds - Lateral ajuts', 'ofisuport' ),
        'id'            => 'sidebar-funds',
        'description'   => esc_html__( 'Add widgets here.', 'ofisuport' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
      )
    );
    register_sidebar(
      array(
        'name'          => esc_html__( 'Footer - Peu', 'ofisuport' ),
        'id'            => 'footer-widgets',
        'description'   => esc_html__( 'Add widgets here.', 'ofisuport' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
      )
    );
  }
  add_action( 'widgets_init', 'ofisuport_widgets_init' );

