<?php
/**
 * The template for displaying the "ajuts" funds with search capabilities 
 *
 * Template Name: PAFs, consells, tutorials... 
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * @link https://developer.wordpress.org/themes/template-files-section/page-template-files/
 *
 * @package Oficina_de_Suport_theme
 * @since 1.0
 */

get_header();
?>

	<main id="primary" class="site-main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
			</header><!-- .page-header -->
			<?php
			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', 'page' );

			endwhile;

//			the_posts_navigation();

		else :
			get_template_part( 'template-parts/content', 'none' );

		endif;
    ?>

     <?php //if( in_category('faq') ) : ?>
       <?php ofisuport_display_faqs_labels(); ?>
       <?php ofisuport_display_faqs_search(); ?>
     <?php //endif; //end if is_category faq ?>

      <content class="archive-posts <?php ofisuport_class_posttype(); ?>">
      <?php
       // https://developer.wordpress.org/reference/functions/get_posts/
       // https://www.advancedcustomfields.com/resources/true-false/

       $the_query_faq = new WP_Query(
         array(
					 'post_type' => 'post',
					 'category_name'  => 'faq',
           'post_per_page' => '8'
         ) );
       ?>
       <?php if ( $the_query_faq->have_posts() ) : ?>
         <?php while ( $the_query_faq->have_posts() ) : $the_query_faq->the_post(); ?>

          <?php get_template_part( 'template-parts/section', 'eachpost' ); ?>

         <?php endwhile;//end of the loop ?>
         <?php wp_reset_postdata(); ?>
       <?php endif; //end query ajut ?>

      </content>
	</main><!-- #main -->

<?php
get_sidebar();
get_footer();
